[Fusionforge-commits] FusionForge branch 6.0 updated. 640d97a6345f23d9853b7c18f92f59bc5c912471

Roland Mas lolando at fusionforge.org
Wed Apr 8 09:30:17 CEST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, 6.0 has been updated
       via  640d97a6345f23d9853b7c18f92f59bc5c912471 (commit)
      from  245f7b4c293a2f6039550e42c6b70b7a33dfd18c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 640d97a6345f23d9853b7c18f92f59bc5c912471
Author: Roland Mas <lolando at debian.org>
Date:   Wed Apr 8 09:30:07 2015 +0200

    Allow running only part of the testsuite

diff --git a/tests/buildbot/fusionforge-build-and-test.sh b/tests/buildbot/fusionforge-build-and-test.sh
index 1fae4bf..9917eaa 100755
--- a/tests/buildbot/fusionforge-build-and-test.sh
+++ b/tests/buildbot/fusionforge-build-and-test.sh
@@ -13,6 +13,7 @@ get_config
 prepare_workspace
 
 export HOST=$1
+shift
 if [ -z "$HOST" ]; then
     echo "Usage: $0 vm_hostname"
     exit 1
@@ -47,8 +48,21 @@ case $HOST in
 	;;
 esac
 
-INSTALL_METHOD=$2
-if [ -z "$INSTALL_METHOD" ]; then INSTALL_METHOD='src'; fi
+INSTALL_METHOD=$1
+case $INSTALL_METHOD in
+    src)
+	shift
+	;;
+    deb)
+	shift
+	;;
+    rpm)
+	shift
+	;;
+    *)
+	INSTALL_METHOD=src
+	;;
+esac
 
 destroy_vm_if_not_kept $HOST
 start_vm_if_not_kept $HOST
@@ -79,7 +93,7 @@ fi
 retcode=0
 echo "Run phpunit test on $HOST"
 #ssh root@$HOST "TESTGLOB='func/50_PluginsScmBzr/*' /usr/src/fusionforge/autoinstall/vnc-run-testsuite.sh /usr/src/fusionforge/autoinstall/run-testsuite.sh $INSTALL_METHOD/$INSTALL_OS" || retcode=$?
-ssh root@$HOST "/usr/src/fusionforge/autoinstall/vnc-run-testsuite.sh /usr/src/fusionforge/autoinstall/run-testsuite.sh $INSTALL_METHOD/$INSTALL_OS" || retcode=$?
+ssh root@$HOST "/usr/src/fusionforge/autoinstall/vnc-run-testsuite.sh /usr/src/fusionforge/autoinstall/run-testsuite.sh $INSTALL_METHOD/$INSTALL_OS $@" || retcode=$?
 
 copy_logs
 

-----------------------------------------------------------------------

Summary of changes:
 tests/buildbot/fusionforge-build-and-test.sh |   20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list